randomh
Prev | Orchestra Opcodes and Operators | Next

## randomh

randomh — Generates random numbers with a user-defined limit and holds them for a period of time.

## Description

Generates random numbers with a user-defined limit and holds them for a period of time.

## Syntax

    ares randomh kmin, kmax, acps

    kres randomh kmin, kmax, kcps

## Performance

kmin -- minimum range limit

kmax -- maximum range limit

kcps, acps -- rate of random break-point generation

The randomh opcode is similar to randh but allows the user to set arbitrary minimum and maximum values.

## Examples

Here is an example of the randomh opcode. It uses the file randomh.csd.

Example 392. Example of the randomh opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o randomh.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Choose a random frequency between 220 and 440 Hz.
      ; Generate new random numbers at 10 Hz.
      kmin = 220
      kmax = 440
      kcps = 10

      k1 randomh kmin, kmax, kcps

      printks "k1 = %f\\n", 0.1, k1
    endin

    </CsInstruments>
    <CsScore>

    ; Table #1, a sine wave.
    f 1 0 16384 10 1

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    k1 = 220.000000
    k1 = 414.232056
    k1 = 284.095184

## See Also

randh, random, randomi

## Credits

Author: Gabriel Maldonado

Example written by Kevin Conder.

Prev | Up | Next
random | Home | randomi